<?php if (!defined('BASEPATH')) die('No direct script access allowed');

/**
 * fieldtype
 *
 * @package     MSM Site Select fieldtype module
 * @category    Modules
 * @author      Rein de Vries <info@reinos.nl>
 * @link        http://reinos.nl
 * @copyright   Copyright (c) 2015 Reinos.nl Internet Media
 */

include(PATH_THIRD.'email_form_linked/config.php');


class Email_form_linked_ft extends EE_Fieldtype
{

	public $info = array(
		'name'      => EMAIL_FORM_LINKED_NAME,
		'version'   => EMAIL_FORM_LINKED_VERSION,
		'has_global_settings' => 'n'
	);

	public $settings = array();

	public $default_settings = array();

	public $has_array_data = TRUE;

	private $prefix;

	// ----------------------------------------------------------------------

	/**
	 * Constructor
	 *
	 * @access public
	 *
	 * Calls the parent constructor
	 */
	public function __construct()
	{
		if (version_compare(APP_VER, '2.1.4', '>')) { parent::__construct(); } else { parent::EE_Fieldtype(); }

		//require settings
		require 'settings.php';
	}


	// ----------------------------------------------------------------------
	// Display the field for all types
	// ----------------------------------------------------------------------


	// ----------------------------------------------------------------------

	/**
	 * display_field
	 *
	 * @access public
	 */
	function display_field($data, $type = 'default')
	{
		$data = trim($data);
		$options = array('');

		$query = ee()->db->select('label, form_id')
			->from('email_form_forms')
			->where('site_id', ee()->config->item('site_id'))
			->order_by('label', 'ASC')
			->get();

		foreach ($query->result() as $row)
		{
			$options[ $row->form_id ] = $row->label . '&nbsp;&nbsp;&nbsp;';
		}

		return form_dropdown($this->field_name, $options, $data, ' style="padding:3px; border:1px solid #ccc;" ');

	}

	// ----------------------------------------------------------------------
	// Replace the tags for all types
	// ----------------------------------------------------------------------

	// ----------------------------------------------------------------------

	/**
	 * replace_tag
	 *
	 * @access public
	 */
	public function replace_tag($data, $params = array(), $tagdata = FALSE)
	{
		$data = trim($data);
		if ($data == FALSE) return;

		$query = ee()->db->select('*')
			->where('form_id', $data)
			->from('email_form_forms')
			->where('site_id', ee()->config->item('site_id'))
			->order_by('label', 'ASC')
			->get();

		if($query->num_rows() > 0)
		{
			return $query->row('form');
		}

		return $data;
	}

	// ----------------------------------------------------------------------

	/**
	 * replace_tag_catchall
	 *
	 * @access public
	 */
	/*function replace_tag_catchall($file_info, $params = array(), $tagdata = FALSE, $modifier)
	{

	}*/


}

/* End of file ft.gmaps_fieldtype.php */
/* Location: ./system/expressionengine/third_party/gmaps_fieldtype/ft.gmaps_fieldtype.php */
